---
title: Get all Statuspage URL settings
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Statuspage Integration
---

# Get all Statuspage URL settings{% #get-all-statuspage-url-settings %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                 |
| ----------------- | ---------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/statuspage/url_settings |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/statuspage/url_settings |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/statuspage/url_settings      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/statuspage/url_settings      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/statuspage/url_settings  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/statuspage/url_settings     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/statuspage/url_settings |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/statuspage/url_settings |

### Overview

Get all Statuspage URL settings configured for your organization. This endpoint requires the `integrations_read` permission.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response with a list of Statuspage URL settings.

| Parent field | Field                        | Type     | Description                                                                               |
| ------------ | ---------------------------- | -------- | ----------------------------------------------------------------------------------------- |
|              | data [*required*]       | [object] | An array of Statuspage URL settings.                                                      |
| data         | attributes [*required*] | object   | The attributes from a Statuspage URL setting response.                                    |
| attributes   | custom_tags                  | string   | Comma-separated list of custom tags applied to events generated from this Statuspage URL. |
| attributes   | url                          | string   | The Statuspage URL being monitored.                                                       |
| data         | id [*required*]         | string   | The ID of the Statuspage URL setting.                                                     |
| data         | type [*required*]       | enum     | Statuspage URL setting resource type. Allowed enum values: `statuspage-url-setting`       |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "custom_tags": "team:collaboration-integrations,env:prod",
        "url": "https://example.statuspage.io"
      },
      "id": "596da4af-0563-4097-90ff-07230c3f9db3",
      "type": "statuspage-url-setting"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/statuspage/url_settings" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
